#!/bin/bash - 
#===============================================================================
#
#          FILE:  install.sh
# 
#         USAGE:  ./install.sh 
# 
#   DESCRIPTION:  Install Gwibber Douban on your Ubuntu
# 
#       OPTIONS:  ---
#  REQUIREMENTS:  ---
#          BUGS:  ---
#         NOTES:  ---
#        AUTHOR: Sun Ning <classicning@gmail.com>
#      REVISION:  ---
#===============================================================================

set -o nounset                              # Treat unset variables as an error

#TODO Check gwibber version and linux distribution


basedir=`dirname $0`
cd $basedir/../
. bin/env.sh

detect () {
    if [ `grep douban $GWIBBER_PATH/microblog/dispatcher.py | wc -l` -gt 0 ]
    then
        echo "Gwibber-Douban is detected on your system, please uninstall it first"
        exit 1
    fi
}

detect

echo "Installing files"
cp gwibber/microblog/douban.py $GWIBBER_PATH/microblog/douban.py

cp gwibber/lib/gtk/douban.py $GWIBBER_PATH/lib/gtk/douban.py
echo "Patching files"
cp $GWIBBER_PATH/microblog/dispatcher.py $GWIBBER_PATH/microblog/dispatcher.py.bak
patch $GWIBBER_PATH/microblog/dispatcher.py gwibber/microblog/dispatcher.py.patch
cp $GWIBBER_PATH/lib/gtk/__init__.py $GWIBBER_PATH/lib/gtk/__init__.py.bak
patch $GWIBBER_PATH/lib/gtk/__init__.py gwibber/lib/gtk/__init__.py.patch

echo "Installing data"
cp ui/gwibber-accounts-douban.ui $GWIBBER_DATA_PATH/ui/gwibber-accounts-douban.ui
cp ui/icons/breakdance/16x16/douban.png $GWIBBER_DATA_PATH/ui/icons/breakdance/16x16/douban.png
cp ui/icons/breakdance/22x22/douban.png $GWIBBER_DATA_PATH/ui/icons/breakdance/22x22/douban.png

echo "Install complete"
echo "killing gwibber-service"
killall gwibber-service

